@use "../variables" as v;
@use "../mixins";

.fork-subscription-pricing {
  background-color: #4b3b4e;
  &__button {
    margin-bottom: 36px;
    @include mixins.button-styling(163px, 45px, 25px, v.$main-color, white);
    text-transform: uppercase;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #776b79;
  }
  &__card {
    box-sizing: border-box;
    display: inline-flex;
    align-items: center;
    flex-direction: column;
    margin: 18px 12.5px 18px 11px;
    width: 257px;
    background-color: #5f5161;
  }
  &__card-selected {
    margin: 18px 12.5px 18px 11px;
    box-sizing: border-box;
    display: inline-flex;
    align-items: center;
    flex-direction: column;
    width: 299px;
    background-color: #473249;
  }
  &__card-selected > &__plan {
    padding: 43px 0 43px 0;
    background-color: #3f2c41;
  }
  &__card-selected > &__button {
    @include mixins.button-styling(190px, 52px, 25px, v.$main-color, white);
    background-color: #635164;
    margin-bottom: 47px;
  }
  &__card-selected > &__description {
    padding-bottom: 83px;
  }
  &__card-selected > &__price {
    padding: 14px 0 16px 0;
    font-size: 82px;
    line-height: 110%;
  }
  &__card-selected > &__period {
    &:after {
      content: "";
      display: block;
      margin: 46px auto 40px auto;
    }
  }
  &__container {
    @include mixins.safepaddings;
    text-align: center;
  }
  &__description {
    padding-bottom: 37px;
    font-size: 16px;
    line-height: 112%;
    color: white;
    text-align: center;
  }
  &__period {
    font-size: 14px;
    line-height: 114%;
    color: white;
    text-transform: uppercase;
    &:after {
      content: "";
      display: block;
      width: 60px;
      height: 5px;
      background: #8d81ac;
      margin: 38px auto 30px auto;
    }
  }
  &__plan {
    width: 100%;
    padding: 36px 0 36px 0;
    font-size: 24px;
    line-height: 100%;
    color: white;
    text-transform: uppercase;
    text-align: center;
    background-color: #695b6a;
  }
  &__price {
    padding: 30px 0 20px 0;
    font-size: 60px;
    font-weight: 700;
    line-height: 103%;
    color: white;
    text-transform: uppercase;
    span {
      font-weight: 400;
    }
  }
  &__title {
    padding: 14px 22px 32px 21px;
    font-weight: 700;
    font-size: 28px;
    line-height: 150%;
    color: white;
    text-align: center;
  }
}

@media (min-width: v.$mobile + 0px) {
  .fork-subscription-pricing {
    &__card {
      margin: 18px 12.5px 18px 12.5px;
    }
    &__card-selected {
      box-sizing: border-box;
      margin: 59px 0px 18px 0;
      transform: translate(0, -36px);
    }
    &__description {
      flex-basis: 45px;
    }
  }
}

@media (min-width: v.$tablet + 0px) {
  .fork-subscription-pricing {
    &__card {
      margin: 0 7.5px 0 7.5px;
    }
    &__card-selected {
      transform: translate(0, -51px);
    }
    &__title {
      padding: 88px 0 61px 0;
    }
  }
}
